List Leads
/unified/crm/leads
Partial response — use the "get" endpoint for the full object.
Query Parameters
Refer Specifying query parameters in Truto APIs
The name of the lead
3 supported
The lead's owner
11 supported2 notes
The owner of the lead
The owner of the leads. This filter is mutually exclusive to other filters. If this filter is used, other should not be used.
The lead's owner's unique identifier
The country of the lead
4 supported
8 supported
The email address
The email address type
The date and time of the lead's creation
11 supported
The date and time of the lead's last update
10 supported
The lead's first name
7 supported
The lead's last name
7 supported
The lead's title
10 supported
The contact associated with the lead
6 supported
The contact's unique identifier
The lead's account
7 supported
The account's unique identifier
7 supported
The phone number
The phone number type
mobilework
The extension of the phone number
2 supported
3 supported
1 supported
5 supported
The lead's source
9 supported
The lead's type
1 supported
The lead's status
attempted to contactcancelledcontactedlostnewnew leadopenpendingqualifiedunqualifiedwonworking
5 supported
attempted to contactnew leadcontactedunqualifiedqualifiedopenpendingwonlostcancellednewworkingunqualified4 supported
created_atemail_addressesfirst_namelast_namenameownertitleupdated_at
5 supported
created_attitleownercreated_atupdated_atcreated_atupdated_atnamefirst_namelast_nameemail_addressescreated_atupdated_atcreated_atupdated_atcreated_atupdated_at1 supported
The date and time of the lead's last activity
5 supported
The date and time of the lead's conversion
3 supported
All the custom fields present on the lead
7 supported
6 supported
The city
The country
The postal code
The state
Line 1 of the street address
Line 2 of the street address
The address type
1 supported
1 supported
1 supported
1 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Leads
The lead' unique identifier
11 supported
The lead's account
7 supported
1 property
The account's unique identifier
6 supported
7 properties
The city
The country
The postal code
The state
Line 1 of the street address
Line 2 of the street address
The address type
The contact associated with the lead
6 supported
1 property
The contact's unique identifier
The lead's converted account
2 supported
The date and time of the lead's conversion
3 supported
The lead's converted contact
2 supported
The date and time of the lead's creation
11 supported
All the custom fields present on the lead
7 supported
8 supported
2 properties
The email address
The email address type
The lead's first name
7 supported
The date and time of the lead's last activity
5 supported
The lead's last name
7 supported
The lead's source
9 supported
The lead's type
1 supported
The lead's owner
11 supported
1 property
The lead's owner's unique identifier
7 supported
3 properties
The extension of the phone number
The phone number
The phone number type
Raw data returned from the remote API call.
The lead's status
5 supported
The lead's title
10 supported
The date and time of the lead's last update
10 supported
The lead's urls
5 supported
2 properties
The lead's URL type
The lead's URL
curl -X GET 'https://api.truto.one/unified/crm/leads?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/crm/leads?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/leads"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'crm',
'leads',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"crm",
"leads",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())